## mauikit-documents 4.0.2+p24.04+vstable+git20250828.0546

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vstable+git20250828.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 05:46:18 +0000

mauikit-documents (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 13:41:15 +0000

mauikit-documents (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 13:41:17 +0000

mauikit-documents (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 13:41:26 +0000

mauikit-documents (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 13:41:06 +0000

mauikit-documents (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 13:41:07 +0000

mauikit-documents (3.0.1-oneon) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2023 19:57:31 +0000

mauikit-documents (1.1.0) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000
