## mauikit-documents 4.0.2+p24.04+vstable+git20250930.0500

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vstable+git20250930.0500-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:00:34 +0000
