## mauikit-documents 4.0.2+p24.04+vstable+git20251113.0707

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vstable+git20251113.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 07:07:32 +0000
