## mauikit-documents 4.0.2+p24.04+vunstable+git20251028.0915

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vunstable+git20251028.0915-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:15:58 +0000
