## mauikit-documents 4.0.2+p24.04+vunstable+git20251113.0837

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vunstable+git20251113.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 08:37:26 +0000
